package com.bonus.canteen.core.order.custom;

import cn.hutool.core.collection.CollUtil;
import com.bonus.canteen.core.common.custom.business.CustomBusiness;
import com.bonus.canteen.core.order.common.model.OrderInfo;
import com.bonus.canteen.core.order.mq.po.OrderSavePO;
import com.bonus.canteen.core.pay.common.model.TradeRecord;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OrderCustomRepairBusiness implements CustomBusiness {
   public String name() {
      return "订单（数据修复）";
   }

   public List<CustomBusiness.Version> versions() {
      return CollUtil.newArrayList(new CustomBusiness.Version[0]);
   }

   public OrderSavePO didPackageNewPaidOrderInfo(List<OrderInfo> originalOrderInfoList, OrderSavePO newOrderSavePO) {
      return newOrderSavePO;
   }

//   public OrderSavePO didPackageNotExistsOrderInfo(TradeRecord tradeRecord, OrderListRepairInfoVO repairVO, OrderSavePO newOrderSavePO) {
//      return newOrderSavePO;
//   }
}
